org.optaplanner.core.config.constructionheuristic.placer

## Class PooledEntityPlacerConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.constructionheuristic.placer.EntityPlacerConfig<PooledEntityPlacerConfig>
    - - org.optaplanner.core.config.constructionheuristic.placer.PooledEntityPlacerConfig

-     public class PooledEntityPlacerConfig
      extends EntityPlacerConfig<PooledEntityPlacerConfig>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PooledEntityPlacerConfig()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PooledEntityPlacer` | `buildEntityPlacer(HeuristicConfigPolicy configPolicy)`
    `PooledEntityPlacerConfig` | `copyConfig()` Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `MoveSelectorConfig` | `getMoveSelectorConfig()`
    `PooledEntityPlacerConfig` | `inherit(PooledEntityPlacerConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)`
    `String` | `toString()`
    `static PooledEntityPlacerConfig` | `unfoldNew(HeuristicConfigPolicy configPolicy, MoveSelectorConfig templateMoveSelectorConfig)`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PooledEntityPlacerConfig

          public PooledEntityPlacerConfig()

  - ### Method Detail

    - #### unfoldNew

          public static PooledEntityPlacerConfig unfoldNew(HeuristicConfigPolicy configPolicy,
                                                           MoveSelectorConfig templateMoveSelectorConfig)

    - #### getMoveSelectorConfig

          public MoveSelectorConfig getMoveSelectorConfig()

    - #### setMoveSelectorConfig

          public void setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)

    - #### buildEntityPlacer

          public PooledEntityPlacer buildEntityPlacer(HeuristicConfigPolicy configPolicy)

      Specified by:
        `buildEntityPlacer` in class `EntityPlacerConfig<PooledEntityPlacerConfig>`

    - #### inherit

          public PooledEntityPlacerConfig inherit(PooledEntityPlacerConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<PooledEntityPlacerConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public PooledEntityPlacerConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<PooledEntityPlacerConfig>`
      Returns:
        new instance

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConfig<PooledEntityPlacerConfig>`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.